Subject: Re: bug#49704: 28.0.50; erc-response object retained in text-props via erc-button

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 23 Jul 2021 13:46:58 +0200

"J.P." <[email-masked]> writes:

> Question: shouldn't the hook functions being run here take care not to
> retain references to these objects unless actually needed?

I'm not quite sure I understand what problem the current text properties
lead to?  Is it saving memory-hungry closures in the text properties or
something?

I had a look at the data in some buttons in an erc buffer, and nothing
there really seems excessive?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no